Skip to main content
GET
Get the PostgreSQL private endpoint
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Returns the AWS private endpoint service of a Postgres service, or 404 if it has not been created. Private endpoints are available only for AWS Postgres services, and only for organizations with the feature enabled.

Permission

The API key must have the control-plane:postgres-service:view permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the Postgres service.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object